#include "Ship/ShipHardDifficultLvlStrategy.h"

#include "Ship/Ship.h"

bool ShipHardDifficultLvlStrategy::handle(Ship& ship) const {
    Ship::StatusCode status;
    ship.unload("Rum", ship.crew(), status);
    Ship::StatusCode status2;
    ship.unload("Banana", ship.crew(), status2);

    return status == Ship::StatusCode::OK && status2 == Ship::StatusCode::OK;
}
